# $Revision: 1.10 $, $Date: 2004/09/12 11:58:22 $
#
# TODO: move score file(s) to /var/games
#
Summary:	GLAsteroids - 3D clone of the arcade classic
Summary(pl):	GLAsteroids - klon 3D klasycznej gry
Name:		glast
Version:	0.91
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://projectz.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	4396d28150067a527b6cf6abcc8df21e
Patch0:		%{name}-libgl.patch
URL:		http://projectz.ath.cx/?id=90
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_image-devel >= 1.2.0
Requires:	OpenGL
Requires:	SDL >= 1.2.0
Requires:	SDL_image >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
GLAsteroids is a 3D clone of the arcade classic 'Asteroids' coded in C
using OpenGL and SDL. It features sounds effects, a menu system, a
high score table, and fuel drops. You can 'fly' around in outer space
blowing up chunks of spinning space rock with a high power dual plasma
cannon until you get smashed to pieces, run out of fuel, or save the
earth from being pulverized.

%description -l pl
GLAsteroids to trjwymiarowy klon klasycznej gry "Asteroids" napisany
w C przy uyciu OpenGL i SDL. Ma efekty dwikowe, systemowe menu,
tablic rekordw i zrzuty paliwa. Gracz moe lata w przestrzeni
kosmicznej rozbijajc fragmenty obracajcych si cia kosmicznych przy
pomocy duej mocy karabinu plazmowego, dopki nie zostanie
roztrzaskany na kawaki, nie skoczy si paliwo, lub nie ocali Ziemi
od zniszczenia.

%prep
%setup -q
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/{sounds,textures}}

cp %{name} $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}
cp sounds/*.wav $RPM_BUILD_ROOT%{_datadir}/%{name}/sounds
cp textures/*.png $RPM_BUILD_ROOT%{_datadir}/%{name}/textures
cp textures/*.jpg $RPM_BUILD_ROOT%{_datadir}/%{name}/textures

touch $RPM_BUILD_ROOT%{_datadir}/%{name}/.highscore

cat > $RPM_BUILD_ROOT%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_datadir}/%{name}
./%{name} \$@
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/%{name}
# MOVE TO /var/games!!!
%attr(666,root,root) %{_datadir}/%{name}/.highscore
%dir %{_datadir}/%{name}/sounds
%{_datadir}/%{name}/sounds/*.wav
%dir %{_datadir}/%{name}/textures
%{_datadir}/%{name}/textures/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glast.spec,v $
Revision 1.10  2004/09/12 11:58:22  havner
- rel 1

Revision 1.9  2004/08/30 21:01:56  darekr
- update to 0.91

Revision 1.8  2003/08/18 08:08:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.6  2003/06/21 07:00:32  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.5  2003/05/28 12:58:59  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:47:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/08 08:50:39  trojan
- added libgl patch

Revision 1.2  2003/01/18 22:48:36  juandon
- removed two lines with define

Revision 1.1  2002/09/15 22:55:13  qboosh
- renamed GLAsteroids.spec to glast.spec to reflect Name
- typo, pl description, added important TODO

Revision 1.1  2002/09/11 14:40:53  pascalek
- initial release
